ARITA Bugs - Feature #1967

[Arita - TM to Payroll] Menghitung ketidakhadiran
01/25/2023 05:11 PM - Mohammad Daud

Status: Closed Start date: 01/25/2023
Priority: High Due date: 02/23/2023
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Team Developer,

Minta Bantunya untuk dapat dibuatkan 1 figur di TM to Payroll untuk menghitung ketidakhadiran karyawan sebagai komponen
Deduction. Formula perhitungannya berdasarkan Gaji Gaji Bruto (Gaji Pokok + Tunjangan)/ Jumlah Hari kerja = Gaji Perhari

Contoh Kasus;
Jika karyawan tidak masuk 2 HK maka Deductionnya adalah;

Gaiji Perhari x Gaji Perhari.

aplikasi remote.minovais.com:31131

username minovais password 123Aa

database sql server 2014 remote.minovais.com, 1442\MSSQLSERVER2014
username sa password MINOV@1sSQL

History

#1 - 01/25/2023 05:15 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Assignee changed from Tri Rizqgiaty to Mohammad Daud

Daud,

ketidakhadiran ini di baca dari kondisi apa saja?

apakabh jika ketidak hadiran karena cuti atau sakit juga d potong?
Tolong d jelasin definisi ketidakhadiran nya dl ya

Tks

#2 - 01/26/2023 09:14 AM - Kezia Pawitra Yulianti
- Due date changed from 01/31/2023 to 01/30/2023

- Assignee changed from Mohammad Daud to Tri Rizqiaty

#3 - 01/26/2023 11:58 AM - Mega Yunita
Dear Mbak Yoma,

Dear Mbak Yoma,

Mohon bantuannya untuk membuatkan function TM to Payroll untuk Perhitungan Potongan Gaji karena Ketidakhadiran, yaitu :
1. Nama Wage Type

- Gaji Bruto dengan kode wt 1008,1009,1010,1011

- Potongan Potongan Ketidakhadiran dengan kode wt D007, D008

3. Pada table PHRPYTMTOPY, saya sudah membuat :

- Figure C_JumlahKetidakHadiran, AdditionalField1

- Figure C_PotongangGajiBruto, AdditionalField2

4. Pada table PHRPYTMTOPYVAR
- Variant 0001 (Potongan Gaji karena Ketidakhadiran)

Dengan kondisi :

Gaji Bruto (Gaji Pokok + Tunjangan)/ Jumlah Hari kerja = Gaji Perhari
Contoh Kasus;
Jika karyawan tidak masuk 2 HK maka Deductionnya adalah;

Gaji Perhari x Jumlah Ketidakhadiran.

#4 - 01/26/2023 03:39 PM - Tri Rizqiaty

- Assignee changed from Tri Rizqgiaty to Mega Yunita

Mega,

1. Kententuan siapa yang dapet wagetype D007 & D008 apa ya?

2. Terus dihitung tidak hadirnya dari absencetype apa?

3. Atau jika tidak ada absence & attendance yang dihitung?

4. Wagetype D007 & D008 sudah dibuat di table PHRPYCUQ03007?

5. Jika ingin memasukan 2 wagetype potongan, figure untuk amount potongan harus dibuat 2, karena 1 figure cuma untuk satu wagetype?

Thanks

#5 - 02/20/2023 03:25 PM - Mohammad Daud

- Assignee changed from Mega Yunita to Tri Rizqiaty

Mega,

1. Kententuan siapa yang dapet wagetype D007 & D008 apa ya? -- Yom ini untuk potongan kita pakai D007 aja ya

2. Terus dihitung tidak hadirnya dari absencetype apa? -- Untuk Absenctypenya nanti kita masukin ke tabel Parameter aja yang akan menjadi
pemotong

3. Atau jika tidak ada absence & attendance yang dihitung?

4. Wagetype D007 & D008 sudah dibuat di table PHRPYCUOQ03007? ini sudah ada

5. Jika ingin memasukan 2 wagetype potongan, figure untuk amount potongan harus dibuat 2, karena 1 figure cuma untuk satu wagetype?

Thanks
#6 - 02/22/2023 10:37 AM - Kezia Pawitra Yulianti

- Due date changed from 01/30/2023 to 02/23/2023

- Assignee changed from Tri Rizqiaty to Mega Yunita

dear Mega,
untuk task ini sudah selesai belum ya?

#7 - 03/01/2023 11:25 AM - Muhammad Bintar
- File clipboard-202303011125-c3q1u.png added

update:
untuk rumusan perhitungan nya adalah sbeagai berikut
Tunjangan / Jumlah Hari kerja = Gaji Perhari

Gaji perhari * jumlah tidak ketidakhadiran = potongan ketidakhadiran
+62 812-3895-5456 ~Elinia Reja Purba
ini benar pak ,
namun untuk pemotongan harian jika tdk masuk diambil dr tunjangan tetap ya pak

ini yang potongan ketidakhadiran ya bu..

15:53 o
kalau ibu lihat, ada selisih angka kah dari versi ibu?? o
ada pak
versi ibu berapa e
% This message was deleted.
18750/21*3=267857
angka 18750 itu dari gapok + tunjangan bu?? __ o
1.8750.000 dr tunjangan tetap pak
Today
+62 B12-3895-5456 ~Eliniz Rejz Purba
18750/21*3=267857 \l/
pagi bu, ini yang membahas soal potongan ketidakhadiran ya buu? o
#8 - 04/13/2023 01:48 PM - Muhammad Bintar
- Status changed from Assigned to Closed
- Assignee changed from Mega Yunita to Tri Rizqiaty
Files
clipboard-202303011125-c3q1u.png 251 KB 03/01/2023 Muhammad Bintar
